curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/workflow_status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "Awaiting documents",
"sub_status": "Bank statements requested",
"color": "#888e9d"
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/workflow_status"
payload = {
"status": "Awaiting documents",
"sub_status": "Bank statements requested",
"color": "#888e9d"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 'Awaiting documents',
sub_status: 'Bank statements requested',
color: '#888e9d'
})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/workflow_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"name": "Prof. Wilton Hammes MD",
"type": "linear",
"widget": [
1,
10
],
"status": 2,
"workflow_status": {
"is_live_status": null,
"status": null,
"sub_status": null,
"color": null
},
"stage_id": null,
"flow_id": null,
"stage_category": null,
"stage_name": null,
"is_manually_selecting_offers": true,
"offer_declined_reasons": [
"Offer Amount Insufficient",
"Interest Rate Too High",
"Payment Too High",
"Term Length Inadequate",
"Prefer Another Funding Option",
"Documentation Requirements",
"Better Offer Elsewhere",
"Business Situation Changed",
"Fees Too High",
"Miscommunication/Confusion",
"Need More Time"
],
"offer_declined_reasons_other_label": "Other",
"has_whitelabeled_email_submission": false,
"created_at": null,
"updated_at": null
}
}Update Workflow Status
Sets the application’s workflow status and sub-status and returns the updated workflow. For declined applications, the decline reason is kept in sync with the new status.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Path Parameters
The ID of the application.
Body
Application workflow status. list_application_workflow_statuses returns the statuses the application's workflow template accepts.
"Awaiting documents"
Application workflow sub-status. list_application_workflow_statuses returns the sub-statuses the application's workflow template accepts.
"Bank statements requested"
Status color as a CSS color value. Defaults to the workflow template default color.
"#888e9d"
Response
Show child attributes
Show child attributes
Was this page helpful?